import Vue from 'vue'
import Vuex from 'vuex'
import * as api from '@/api/article'

Vue.use(Vuex)

const store = new Vuex.Store({
  state: {
    classify: {},
  },
  getters: {},
  mutations: {
    setClassify(state, classify) {
      state.classify = classify
    },
  },
  actions: {
    getClassify({ commit }) {
      api.getAllClassify().then((response) => {
        commit('setClassify', response.data)
      })
    },
  },
})
export default store
store.dispatch('getClassify')
